Civil 3D Toolkit Feedback thread

No need to be shy, please make this question a new thread as your question is not related to the Civil 3D Toolkit

3 Likes

Do we have any nodes in civil 3D toolkit to create Connected Profile?

17 posts were split to a new topic: Profile Curves Length

Hi @Paolo_Emilio_Serra1

can you do this data?
pVI VerticalCurve.Length

3-2

Hi @Paolo_Emilio_Serra1 TinSurfaceExtensions.Crop missing “Mid-Ordinate Distance” due to lack in API is really unfortunate, it would be great, do you know if there are any news on this? Otherwise I’ll put a change of API as a request on our development board with Autodesk.

Hi, I do not have same result with pipes. Do you have same experience?

I am trying to use the C3D TK to create an assembly and add stock subassembly CrownedLane, and the add add subassembly DayLightGeneral on each side, modifying parameters so they are left and right etc.

I cannot get the daylight to align correctly on left and right of subassembly CrownedLane

Apologies if this has been explained elsewhere I could not find and exact answer to my problem so I am posting what I have achived and hope someone can enlighten me to what I am missing?

Any help most appreciated
@Paolo_Emilio_Serra1

Thanks
CM
Create_Assembly_Subassembly.dyn (88.3 KB)

create_sub_assembly_test.dwg (945.9 KB)

Hello @Paolo_Emilio_Serra1 ,

Small bug report. I was working on a tool that requires the Pick Point node in AutoCAD > Selection. The node works fine when I am using it while the Dynamo workspace is open. However it has a problem when I set is as an output and try to use it through the Dynamo Player. The player just wont let me click on the Pick Point input button. I am on C3D 2022.1.2 and using the 1.1.30 Package.

Regards,

After the weekend and some trial and error, it appears to be working, screen shot of update below. I would be REALLY COOL If anyone is documenting C3D TK standard workflows for the subassemblies?
If there is documentation available anywhere appreciate a link?

I have the same issue. Has this been resolved anywhere? Pick Point updates in the graphical view, however when attempting to update in Dynamo Player there is an issue

Not sure if the node’s gonna get updated but instead I’m using a Python node to prompt the pick point.
Used Paolo’s script provided in here and modified to add pop-up message : Create Point from Cursor Click in Civil3D Model Space - #3 by Paolo_Emilio_Serra1

This method worked better for me since I’m using pop-ups for user inputs instead of Dynamo player.

#Modified from Paolo's script.

"""
Copyright 2019 Autodesk, Inc. All rights reserved.

This file is part of the Civil 3D Python Module.

"""
__author__ = 'Paolo Emilio Serra - paolo.serra@autodesk.com'
__copyright__ = '2019'
__version__ = '1.0.0'

import clr

# Add Assemblies for AutoCAD and Civil 3D APIs
clr.AddReference('acmgd')
clr.AddReference('acdbmgd')
clr.AddReference('accoremgd')
clr.AddReference('ProtoGeometry')

# Add standard Python references
import sys
sys.path.append('C:\Program Files (x86)\IronPython 2.7\Lib')
import os
import math

# Create an alias to the Autodesk.AutoCAD.ApplicationServices.Application class
import Autodesk.AutoCAD.ApplicationServices.Application as acapp

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *

from Autodesk.DesignScript.Geometry import Point as DSPoint

import System
clr.AddReference('System.Windows.Forms')
from System.Windows.Forms import MessageBox

adoc = acapp.DocumentManager.MdiActiveDocument
ed = adoc.Editor

# Example function
def click_point():
	"""
	Returns a Dynamo point of the user click
	"""
	mbx="Pick a point in the drawing."
	MessageBox.Show(mbx, "Message")	
	global adoc
	global ed
	
	ppo = PromptPointOptions('\nSelect a point: ')
	res = ed.GetPoint(ppo)
	
	if res.Status != PromptStatus.OK:
		return
	
	pt = res.Value
	
	return DSPoint.ByCoordinates(pt.X, pt.Y, pt.Z)

if IN[0]==True:
	OUT=click_point()
else:
	OUT=[]

2 Likes

Thank You! I think this will help me a ton

1 Like

MapFeature.Geometry node appears to be dropping segments from multi-segments lines…but only sometimes.

Some lines have their geometry translated correctly, others seem to have segments dropped off.

I’ve isolated one segment for the purposes of this post. The segment in question has two nodes very close together, but I have other lines where the segments are metres apart and still get dropped…and others with all their segments intact.

Attached is the dyn file, the graph and screen shots of the Dynamo representation, and the civil 3d view.

Has this happened before to other people?

FeatureSegmentError.dyn (11.4 KB)


PreviewSegmentIndex50

After some additional testing, searching, and remembering, I found the condition that creates the problem. It appears that if the Geometry Scaling within Dynamo is set to something other than Medium, the MapFeature.Geometry node drops segments from multi-segment lines/data…or at least that’s the result of whatever is breaking down in the process.

I seem to remember Paolo saying in a previous post somewhere to never change the setting from Medium, even though the fine folks at Autodesk (or elsewhere) might be saying otherwise for those of us with real world coordinates.

Lesson learned.

1 Like

@Paolo_Emilio_Serra1 Is there a way to convert these numbers into their respective parameter names, so i can export these to an excel file?

Hi @Paolo_Emilio_Serra1, hi @Drbohlav

Where can I find this node (Objects Types - whit Pipe object) ???

Hi @francolaca,
Use Civil3DToolkit node DocumentExtensions.AddNewTypes Civil 3D Toolkit Feedback thread - #926 by Drbohlav

2 Likes

Thank you very much @Drbohlav, I found it there :+1: :+1: :+1:

1 Like

Please start a new topic. This is for feedback on the Civil3D toolkit, not support with building a workflow.

Hello, I try to find my answer but I didn’t find, if anyone knows anything about this, please let me know.
The problem is that the node “AlignmentExtensions.PIStations” get the PI Station in a different way from the Alignment Grid View in C3D. I’ll attach a image with this difference, but the difference is the way that each one gets the result.
Dynamo node is a projection of PI point on the curve and the C3D table is a sum of curve start station and external tangent.
Are these two pieces of information supposed to be the same or is it a misunderstanding on my side?

Thanks!